SuffixTree.SuffixNode (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.SuffixTree.SuffixNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class SuffixTree.SuffixNode

    java.lang.Object
      org.biojava.bio.symbol.SuffixTree.SuffixNode

All Implemented Interfaces:
  Serializable

Enclosing class:
  SuffixTree

    public abstract static class SuffixTree.SuffixNode

extends Object
implements Serializable

A node in the suffix tree.

This class is realy stupid & delegates most work off to a SuffixTree so that it is as small (in memory-per-object terms) as possible.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`SuffixTree.SuffixNode()`

Method Summary
`abstract float` | `getNumber()` Return a number (usually, but not always, a motif count) associated with this node of the tree.
`abstract boolean` | `hasChild(int i)` Determine if this node has a child corresponding to a given index number.
`abstract boolean` | `isTerminal()` Determine is this node is terminal (has no children).
`abstract void` | `setNumber(float n)` Set the number associated with this node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuffixTree.SuffixNode

    public SuffixTree.SuffixNode()

Method Detail

### isTerminal

    public abstract boolean isTerminal()

  Determine is this node is terminal (has no children).

  Returns:
    `true` if and only if this node has no children.

### hasChild

    public abstract boolean hasChild(int i)

  Determine if this node has a child corresponding to a given index number.

### getNumber

    public abstract float getNumber()

  Return a number (usually, but not always, a motif count) associated with this node of the tree.

### setNumber

    public abstract void setNumber(float n)

  Set the number associated with this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD